package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.PersonalStageJumpEmail;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PersonalStageJumpEmailDao extends BaseDao<PersonalStageJumpEmail> {
    /**
     * 批量新增
     * @param personalStageJumpEmails
     */
    void batchInsert(List<PersonalStageJumpEmail> personalStageJumpEmails);


    List<PersonalStageJumpEmail> getByJumpId(Long jumpId);

    /**
     * 根据阶段跳转id删除
     * @param jumpId
     */
    void deleteByJumpId(Long jumpId);
}